Merge branch 'master' of ssh://gnunet.org/gnunet
[oweals/gnunet.git] / src / gns / test_gns_mx_lookup.sh
1 #!/bin/bash
2 trap "gnunet-arm -e -c test_gns_lookup.conf" SIGINT
3
4 LOCATION=$(which gnunet-config)
5 if [ -z $LOCATION ]
6 then
7   LOCATION="gnunet-config"
8 fi
9 $LOCATION --version 1> /dev/null
10 if test $? != 0
11 then
12         echo "GNUnet command line tools cannot be found, check environmental variables PATH and GNUNET_PREFIX"
13         exit 77
14 fi
15
16 rm -rf /tmp/test-gnunet-gns-peer-1/
17 which timeout &> /dev/null && DO_TIMEOUT="timeout 5"
18
19 TEST_MX="5,mail.gnu"
20 gnunet-arm -s -c test_gns_lookup.conf
21 gnunet-identity -C testego -c test_gns_lookup.conf
22 gnunet-namestore -p -z testego -a -n www -t MX -V "$TEST_MX" -e never -c test_gns_lookup.conf
23
24 RES_MX=`$DO_TIMEOUT gnunet-gns --raw -z testego -u www.gnu -t MX -c test_gns_lookup.conf`
25 gnunet-namestore -z testego -d -n www -t MX -V "$TEST_MX" -e never -c test_gns_lookup.conf
26 gnunet-identity -D testego -c test_gns_lookup.conf
27 gnunet-arm -e -c test_gns_lookup.conf
28 rm -rf /tmp/test-gnunet-gns-peer-1/
29
30 if [ "$RES_MX" == "$TEST_MX" ]
31 then
32   exit 0
33 else
34   echo "FAIL: did not get proper IP, got $RES_MX."
35   exit 1
36 fi